Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
drawedg.h File Reference
`#include "scrollview.h"`
`#include "crakedge.h"`

Go to the source code of this file.

## Functions

ScrollView * | create_edges_window (ICOORD page_tr)
void | draw_raw_edge (ScrollView *fd, CRACKEDGE *start, ScrollView::Color colour)

## Function Documentation

ScrollView* create_edges_window | ( | ICOORD | page_tr | ) |

Definition at line 45 of file drawedg.cpp.

{
ScrollView* image_win; //image window
//create the window
image_win = new ScrollView (IMAGE_WIN_NAME, IMAGE_XPOS, IMAGE_YPOS, 0, 0, page_tr.x (), page_tr.y ());
return image_win; //window
}

void draw_raw_edge | ( | ScrollView * | fd,
|  | CRACKEDGE * | start,
|  | ScrollView::Color | colour
| ) |  |

Definition at line 63 of file drawedg.cpp.

{
CRACKEDGE *edgept; //current point
fd->Pen(colour);
edgept = start;
fd->SetCursor(edgept->pos.x (), edgept->pos.y ());
do {
do
edgept = edgept->next;
//merge straight lines
while (edgept != start && edgept->prev->stepx == edgept->stepx && edgept->prev->stepy == edgept->stepy);
//draw lines
fd->DrawTo(edgept->pos.x (), edgept->pos.y ());
}
while (edgept != start);
}